Home » Developer & Programmer » Application Express, ORDS & MOD_PLSQL » compil package OK with SQLDeveloper but not APEX 4
compil package OK with SQLDeveloper but not APEX 4 [message #648754] Wed, 02 March 2016 13:20 Go to next message
pcouas
Messages: 112
Registered: February 2016
Senior Member
Hi,

When i compil an Package with APEX 4.0.2 i have error message "RA-06502: PL/SQL: numeric or value error: character string buffer too small"
BUT When i compil same Package with SQLDevlopper it's OK

Where is mistake ?

Regards

Phi

[Updated on: Wed, 02 March 2016 13:20]

Report message to a moderator

Re: compil package OK with SQLDeveloper but not APEX 4 [message #648755 is a reply to message #648754] Wed, 02 March 2016 14:56 Go to previous messageGo to next message
Michel Cadot
Messages: 67487
Registered: March 2007
Location: Nanterre, France, http://...
Senior Member
Account Moderator

In the code.

Re: compil package OK with SQLDeveloper but not APEX 4 [message #648762 is a reply to message #648755] Wed, 02 March 2016 23:29 Go to previous messageGo to next message
pcouas
Messages: 112
Registered: February 2016
Senior Member
Hi

This package has more 2500 Lines, it seems me APEX 4.0.2 don't like package with more 2400 Lines
I have split this package in two and now i haven't error message ???

Regards
Phil
Re: compil package OK with SQLDeveloper but not APEX 4 [message #648765 is a reply to message #648762] Thu, 03 March 2016 01:11 Go to previous message
Littlefoot
Messages: 21616
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
As far as I can tell, it is not "2500 lines" but VARCHAR2(4000) which is used as a "container" for your code in Apex' SQL Workshop.
Previous Topic: Recompil All Page
Next Topic: Report Column not Visible by default
Goto Forum:
  


Current Time: Sat Oct 31 03:08:29 CDT 2020